# Gimp.gradients_get_list

    function gradients_get_list(filter: String): Array(Gimp.Gradient) {
        // Gjs wrapper for gimp_gradients_get_list()
    }

Retrieve the list of loaded gradients.

This procedure returns a list of the gradients that are currently loaded. Each gradient returned can be used as input to [func@Gimp.context_set_gradient].

filter

  An optional regular expression used to filter the list.

Returns

  The list of gradients. The returned value must be freed with g_free().